package com.fjhx.scheduling.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.scheduling.SchedulingActual;
import com.fjhx.params.stock.SchedulingActualVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 推荐领料 实际领料结果 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-09
 */
public interface SchedulingActualService extends BaseService<SchedulingActual> {

    Page<SchedulingActual> getPage(Map<String, String> condition);

    void add(SchedulingActualVo stockSchedulingActualVo);

    void edit(SchedulingActualVo stockSchedulingActualVo);

    void delete(SchedulingActualVo stockSchedulingActualVo);

}
